Bug 107073 - EDID Monitor data produces incorrect Xserver display
EDID Monitor data produces incorrect Xserver display
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-14 15:48 EDT by John Dennis
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version: RHEL4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-27 22:29:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log file when only leftmost pixels are visible (42.76 KB, text/plain)
2003-10-14 15:50 EDT, John Dennis
no flags Details
log file without monitor attached during init, correct display (38.30 KB, text/plain)
2003-10-14 15:51 EDT, John Dennis
no flags Details
diff between bad and good log files (8.27 KB, text/plain)
2003-10-14 15:54 EDT, John Dennis
no flags Details

  None (edit)
Description John Dennis 2003-10-14 15:48:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ia64; en-US; rv:1.4) Gecko/20030922

Description of problem:
This problem was observed on an HP Crestone Peak (ZX4000) IA64 system. It is
unknown at this point if this problem is architecture specific or not.

When the X server comes up only a column of the leftmost (approx) 30 pixels is
visible. It was observed this problem did not manifest itself if during Xserver
initialization the monitor (an HP 2025 Flat Panel) was NOT attached (FYI, this
can be a common occurance when using KVM's). A copy of the XFree86 log file was
captured for both the success and failure cases (attached). It was observed that
only significant difference in the log files was in the failure case EDID
monitor data was read from the monitor. Note, the monitor data cannot be read
from the monitor when the monitor is not attached as would be the case when a
KVM is in use and switched to another system.

The preferred configuration initialization is for the Xserver to "auto"
configure by reading device data reported by the device, therefore the EDID data
should be used, but it appears the EDID data is causing the problem, this makes
this a serious issue because auto configuration produces a non-working system.

Initial analysis of the log files does not reveal how the EDID data is creating
a problem. In both instances the same Horizontal and Vertical frequencies are
being used, there is a difference in the pixel clock, but it looks within range.

Just filing this bug so I can come back to it analyze more fully later.

Version-Release number of selected component (if applicable):
XFree86- 4.3.0-35.EL

How reproducible:
Always

Steps to Reproduce:
see description

Actual Results:  missing 95% of display

Expected Results:  100% of display visible

Additional info:
Comment 1 John Dennis 2003-10-14 15:50:21 EDT
Created attachment 95173 [details]
log file when only leftmost pixels are visible
Comment 2 John Dennis 2003-10-14 15:51:33 EDT
Created attachment 95174 [details]
log file without monitor attached during init, correct display
Comment 3 John Dennis 2003-10-14 15:54:34 EDT
Created attachment 95175 [details]
diff between bad and good log files
Comment 4 Mike A. Harris 2003-10-15 00:23:11 EDT
Just adding this here for easy reference when bug scanning..

(--) RADEON(0): Chipset: "ATI FireGL Z1/X1 AG (AGP)" (ChipID = 0x4147)
Comment 5 Mike A. Harris 2005-09-27 22:29:07 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to Red
Hat Enterprise Linux 4.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.